var numFtsNodes = 22;
var ftsnodes = new Array(numFtsNodes);

ftsnodes[0] = new FTSNode(0, "Q-SUBZ", 1);
ftsnodes[0].links = new Array(1);
ftsnodes[0].links[0] = 453;
ftsnodes[1] = new FTSNode(1, "QD_POINT", 2);
ftsnodes[1].links = new Array(2);
ftsnodes[1].links[0] = 3445;
ftsnodes[1].links[1] = 3447;
ftsnodes[2] = new FTSNode(2, "QD_RECT", 2);
ftsnodes[2].links = new Array(2);
ftsnodes[2].links[0] = 3450;
ftsnodes[2].links[1] = 3452;
ftsnodes[3] = new FTSNode(3, "QSUBZ", 9);
ftsnodes[3].links = new Array(9);
ftsnodes[3].links[0] = 2953;
ftsnodes[3].links[1] = 2954;
ftsnodes[3].links[2] = 2955;
ftsnodes[3].links[3] = 2956;
ftsnodes[3].links[4] = 2957;
ftsnodes[3].links[5] = 2958;
ftsnodes[3].links[6] = 3166;
ftsnodes[3].links[7] = 3167;
ftsnodes[3].links[8] = 3315;
ftsnodes[4] = new FTSNode(4, "QSUBZ_EDIT_OPTS_TD", 1);
ftsnodes[4].links = new Array(1);
ftsnodes[4].links[0] = 3166;
ftsnodes[5] = new FTSNode(5, "QUAD", 3);
ftsnodes[5].links = new Array(3);
ftsnodes[5].links[0] = 3087;
ftsnodes[5].links[1] = 3088;
ftsnodes[5].links[2] = 3089;
ftsnodes[6] = new FTSNode(6, "QUAD_EDG", 2);
ftsnodes[6].links = new Array(2);
ftsnodes[6].links[0] = 3088;
ftsnodes[6].links[1] = 3174;
ftsnodes[7] = new FTSNode(7, "QUADRANGL", 3);
ftsnodes[7].links = new Array(3);
ftsnodes[7].links[0] = 540;
ftsnodes[7].links[1] = 2787;
ftsnodes[7].links[2] = 2788;
ftsnodes[8] = new FTSNode(8, "QUADRANGULAR", 1);
ftsnodes[8].links = new Array(1);
ftsnodes[8].links[0] = 2952;
ftsnodes[9] = new FTSNode(9, "QUADRANT", 1);
ftsnodes[9].links = new Array(1);
ftsnodes[9].links[0] = 1855;
ftsnodes[10] = new FTSNode(10, "QUADRATIC", 3);
ftsnodes[10].links = new Array(3);
ftsnodes[10].links[0] = 279;
ftsnodes[10].links[1] = 3208;
ftsnodes[10].links[2] = 3209;
ftsnodes[11] = new FTSNode(11, "QUALITY", 17);
ftsnodes[11].links = new Array(17);
ftsnodes[11].links[0] = 883;
ftsnodes[11].links[1] = 1850;
ftsnodes[11].links[2] = 1851;
ftsnodes[11].links[3] = 1857;
ftsnodes[11].links[4] = 1859;
ftsnodes[11].links[5] = 1860;
ftsnodes[11].links[6] = 1886;
ftsnodes[11].links[7] = 3618;
ftsnodes[11].links[8] = 3621;
ftsnodes[11].links[9] = 3690;
ftsnodes[11].links[10] = 3691;
ftsnodes[11].links[11] = 3719;
ftsnodes[11].links[12] = 3805;
ftsnodes[11].links[13] = 3812;
ftsnodes[11].links[14] = 3816;
ftsnodes[11].links[15] = 3835;
ftsnodes[11].links[16] = 4182;
ftsnodes[12] = new FTSNode(12, "QUANTITY", 1);
ftsnodes[12].links = new Array(1);
ftsnodes[12].links[0] = 4171;
ftsnodes[13] = new FTSNode(13, "QUARANT", 1);
ftsnodes[13].links = new Array(1);
ftsnodes[13].links[0] = 4455;
ftsnodes[14] = new FTSNode(14, "QUART", 2);
ftsnodes[14].links = new Array(2);
ftsnodes[14].links[0] = 2364;
ftsnodes[14].links[1] = 2375;
ftsnodes[15] = new FTSNode(15, "QUERI", 7);
ftsnodes[15].links = new Array(7);
ftsnodes[15].links[0] = 3613;
ftsnodes[15].links[1] = 1123;
ftsnodes[15].links[2] = 1124;
ftsnodes[15].links[3] = 1125;
ftsnodes[15].links[4] = 1126;
ftsnodes[15].links[5] = 1127;
ftsnodes[15].links[6] = 1128;
ftsnodes[16] = new FTSNode(16, "QUERY", 18);
ftsnodes[16].links = new Array(18);
ftsnodes[16].links[0] = 3;
ftsnodes[16].links[1] = 1107;
ftsnodes[16].links[2] = 4522;
ftsnodes[16].links[3] = 159;
ftsnodes[16].links[4] = 431;
ftsnodes[16].links[5] = 433;
ftsnodes[16].links[6] = 963;
ftsnodes[16].links[7] = 1245;
ftsnodes[16].links[8] = 2352;
ftsnodes[16].links[9] = 2355;
ftsnodes[16].links[10] = 2360;
ftsnodes[16].links[11] = 2384;
ftsnodes[16].links[12] = 2385;
ftsnodes[16].links[13] = 3268;
ftsnodes[16].links[14] = 3364;
ftsnodes[16].links[15] = 3369;
ftsnodes[16].links[16] = 1129;
ftsnodes[16].links[17] = 639;
ftsnodes[17] = new FTSNode(17, "QUESTION", 6);
ftsnodes[17].links = new Array(6);
ftsnodes[17].links[0] = 9;
ftsnodes[17].links[1] = 1165;
ftsnodes[17].links[2] = 3719;
ftsnodes[17].links[3] = 3725;
ftsnodes[17].links[4] = 3727;
ftsnodes[17].links[5] = 3743;
ftsnodes[18] = new FTSNode(18, "QUICK", 6);
ftsnodes[18].links = new Array(6);
ftsnodes[18].links[0] = 3633;
ftsnodes[18].links[1] = 3740;
ftsnodes[18].links[2] = 3805;
ftsnodes[18].links[3] = 3806;
ftsnodes[18].links[4] = 3838;
ftsnodes[18].links[5] = 4498;
ftsnodes[19] = new FTSNode(19, "QUICKTIME", 10);
ftsnodes[19].links = new Array(10);
ftsnodes[19].links[0] = 3707;
ftsnodes[19].links[1] = 3708;
ftsnodes[19].links[2] = 3798;
ftsnodes[19].links[3] = 3799;
ftsnodes[19].links[4] = 3800;
ftsnodes[19].links[5] = 3801;
ftsnodes[19].links[6] = 3802;
ftsnodes[19].links[7] = 3803;
ftsnodes[19].links[8] = 3804;
ftsnodes[19].links[9] = 4382;
ftsnodes[20] = new FTSNode(20, "QUIT", 3);
ftsnodes[20].links = new Array(3);
ftsnodes[20].links[0] = 1156;
ftsnodes[20].links[1] = 2270;
ftsnodes[20].links[2] = 3730;
ftsnodes[21] = new FTSNode(21, "QUUAD", 1);
ftsnodes[21].links = new Array(1);
ftsnodes[21].links[0] = 3088;
